Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## lejos.pc.comm
Interface NXTProtocol

All Known Implementing Classes:
  NXTCommand

    public interface NXTProtocol

LEGO Communication Protocol constants.

Field Summary
`static byte` | `ANGLE`
`static byte` | `ANGLESTEPSMODE`
`static byte` | `BOOLEANMODE`
`static byte` | `BOOT`
`static byte` | `BRAKE` Use run/brake instead of run/float in PWM
`static byte` | `CELSIUSMODE`
`static byte` | `CLOSE`
`static byte` | `CUSTOM`
`static byte` | `DELETE`
`static byte` | `DELETE_USER_FLASH`
`static byte` | `DIRECT_COMMAND_NOREPLY`
`static byte` | `DIRECT_COMMAND_REPLY`
`static byte` | `FAHRENHEITMODE`
`static byte` | `FIND_FIRST`
`static byte` | `FIND_NEXT`
`static byte` | `GET_BATTERY_LEVEL`
`static byte` | `GET_CURRENT_PROGRAM_NAME`
`static byte` | `GET_DEVICE_INFO`
`static byte` | `GET_FIRMWARE_VERSION`
`static byte` | `GET_INPUT_VALUES`
`static byte` | `GET_OUTPUT_STATE`
`static byte` | `HIGH_SPEED_BUFFER`
`static byte` | `KEEP_ALIVE`
`static byte` | `LIGHT_ACTIVE`
`static byte` | `LIGHT_INACTIVE`
`static byte` | `LOWSPEED`
`static byte` | `LOWSPEED_9V`
`static byte` | `LS_GET_STATUS`
`static byte` | `LS_READ`
`static byte` | `LS_WRITE`
`static byte` | `MESSAGE_READ`
`static byte` | `MESSAGE_WRITE`
`static byte` | `MODEMASK`
`static byte` | `MOTOR_RUN_STATE_IDLE` Output will be idle
`static byte` | `MOTOR_RUN_STATE_RAMPDOWN` Output will ramp-down
`static byte` | `MOTOR_RUN_STATE_RAMPUP` Output will ramp-up
`static byte` | `MOTOR_RUN_STATE_RUNNING` Output will be running
`static byte` | `MOTORON` Turn on the specified motor
`static byte` | `NO_OF_SENSOR_TYPES`
`static byte` | `NO_SENSOR`
`static byte` | `NXJ_DEFRAG`
`static byte` | `NXJ_DISCONNECT`
`static byte` | `NXJ_FIND_FIRST`
`static byte` | `NXJ_FIND_NEXT`
`static byte` | `OPEN_APPEND_DATA`
`static byte` | `OPEN_READ`
`static byte` | `OPEN_READ_LINEAR`
`static byte` | `OPEN_WRITE`
`static byte` | `OPEN_WRITE_DATA`
`static byte` | `OPEN_WRITE_LINEAR`
`static byte` | `PCTFULLSCALEMODE`
`static byte` | `PERIODCOUNTERMODE`
`static byte` | `PLAY_SOUND_FILE`
`static byte` | `PLAY_TONE`
`static byte` | `POLL`
`static byte` | `POLL_BUFFER`
`static byte` | `POLL_LENGTH`
`static byte` | `RAWMODE`
`static byte` | `READ`
`static byte` | `REFLECTION`
`static byte` | `REGULATED` Turns on the regulation
`static byte` | `REGULATION_MODE_IDLE` No regulation will be enabled
`static byte` | `REGULATION_MODE_MOTOR_SPEED` Power control will be enabled on specified output
`static byte` | `REGULATION_MODE_MOTOR_SYNC` Synchronization will be enabled (Needs enabled on two output)
`static byte` | `REPLY_COMMAND`
`static byte` | `RESET_MOTOR_POSITION`
`static byte` | `RESET_SCALED_INPUT_VALUE`
`static byte` | `SET_BRICK_NAME`
`static byte` | `SET_INPUT_MODE`
`static byte` | `SET_OUTPUT_STATE`
`static byte` | `SLOPEMASK`
`static byte` | `SOUND_DB`
`static byte` | `SOUND_DBA`
`static byte` | `START_PROGRAM`
`static byte` | `STOP_PROGRAM`
`static byte` | `STOP_SOUND_PLAYBACK`
`static byte` | `SWITCH`
`static byte` | `SYSTEM_COMMAND_NOREPLY`
`static byte` | `SYSTEM_COMMAND_REPLY`
`static byte` | `TEMPERATURE`
`static byte` | `TRANSITIONCNTMODE`
`static byte` | `WRITE`

Field Detail

### DIRECT_COMMAND_REPLY

    static final byte DIRECT_COMMAND_REPLY

See Also:
  Constant Field Values

### SYSTEM_COMMAND_REPLY

    static final byte SYSTEM_COMMAND_REPLY

See Also:
  Constant Field Values

### REPLY_COMMAND

    static final byte REPLY_COMMAND

See Also:
  Constant Field Values

### DIRECT_COMMAND_NOREPLY

    static final byte DIRECT_COMMAND_NOREPLY

See Also:
  Constant Field Values

### SYSTEM_COMMAND_NOREPLY

    static final byte SYSTEM_COMMAND_NOREPLY

See Also:
  Constant Field Values

### OPEN_READ

    static final byte OPEN_READ

See Also:
  Constant Field Values

### OPEN_WRITE

    static final byte OPEN_WRITE

See Also:
  Constant Field Values

### READ

    static final byte READ

See Also:
  Constant Field Values

### WRITE

    static final byte WRITE

See Also:
  Constant Field Values

### CLOSE

    static final byte CLOSE

See Also:
  Constant Field Values

### DELETE

    static final byte DELETE

See Also:
  Constant Field Values

### FIND_FIRST

    static final byte FIND_FIRST

See Also:
  Constant Field Values

### FIND_NEXT

    static final byte FIND_NEXT

See Also:
  Constant Field Values

### GET_FIRMWARE_VERSION

    static final byte GET_FIRMWARE_VERSION

See Also:
  Constant Field Values

### OPEN_WRITE_LINEAR

    static final byte OPEN_WRITE_LINEAR

See Also:
  Constant Field Values

### OPEN_READ_LINEAR

    static final byte OPEN_READ_LINEAR

See Also:
  Constant Field Values

### OPEN_WRITE_DATA

    static final byte OPEN_WRITE_DATA

See Also:
  Constant Field Values

### OPEN_APPEND_DATA

    static final byte OPEN_APPEND_DATA

See Also:
  Constant Field Values

### BOOT

    static final byte BOOT

See Also:
  Constant Field Values

### SET_BRICK_NAME

    static final byte SET_BRICK_NAME

See Also:
  Constant Field Values

### GET_DEVICE_INFO

    static final byte GET_DEVICE_INFO

See Also:
  Constant Field Values

### DELETE_USER_FLASH

    static final byte DELETE_USER_FLASH

See Also:
  Constant Field Values

### POLL_LENGTH

    static final byte POLL_LENGTH

See Also:
  Constant Field Values

### POLL

    static final byte POLL

See Also:
  Constant Field Values

### NXJ_FIND_FIRST

    static final byte NXJ_FIND_FIRST

See Also:
  Constant Field Values

### NXJ_FIND_NEXT

    static final byte NXJ_FIND_NEXT

See Also:
  Constant Field Values

### POLL_BUFFER

    static final byte POLL_BUFFER

See Also:
  Constant Field Values

### HIGH_SPEED_BUFFER

    static final byte HIGH_SPEED_BUFFER

See Also:
  Constant Field Values

### START_PROGRAM

    static final byte START_PROGRAM

See Also:
  Constant Field Values

### STOP_PROGRAM

    static final byte STOP_PROGRAM

See Also:
  Constant Field Values

### PLAY_SOUND_FILE

    static final byte PLAY_SOUND_FILE

See Also:
  Constant Field Values

### PLAY_TONE

    static final byte PLAY_TONE

See Also:
  Constant Field Values

### SET_OUTPUT_STATE

    static final byte SET_OUTPUT_STATE

See Also:
  Constant Field Values

### SET_INPUT_MODE

    static final byte SET_INPUT_MODE

See Also:
  Constant Field Values

### GET_OUTPUT_STATE

    static final byte GET_OUTPUT_STATE

See Also:
  Constant Field Values

### GET_INPUT_VALUES

    static final byte GET_INPUT_VALUES

See Also:
  Constant Field Values

### RESET_SCALED_INPUT_VALUE

    static final byte RESET_SCALED_INPUT_VALUE

See Also:
  Constant Field Values

### MESSAGE_WRITE

    static final byte MESSAGE_WRITE

See Also:
  Constant Field Values

### RESET_MOTOR_POSITION

    static final byte RESET_MOTOR_POSITION

See Also:
  Constant Field Values

### GET_BATTERY_LEVEL

    static final byte GET_BATTERY_LEVEL

See Also:
  Constant Field Values

### STOP_SOUND_PLAYBACK

    static final byte STOP_SOUND_PLAYBACK

See Also:
  Constant Field Values

### KEEP_ALIVE

    static final byte KEEP_ALIVE

See Also:
  Constant Field Values

### LS_GET_STATUS

    static final byte LS_GET_STATUS

See Also:
  Constant Field Values

### LS_WRITE

    static final byte LS_WRITE

See Also:
  Constant Field Values

### LS_READ

    static final byte LS_READ

See Also:
  Constant Field Values

### GET_CURRENT_PROGRAM_NAME

    static final byte GET_CURRENT_PROGRAM_NAME

See Also:
  Constant Field Values

### MESSAGE_READ

    static final byte MESSAGE_READ

See Also:
  Constant Field Values

### NXJ_DISCONNECT

    static final byte NXJ_DISCONNECT

See Also:
  Constant Field Values

### NXJ_DEFRAG

    static final byte NXJ_DEFRAG

See Also:
  Constant Field Values

### MOTORON

    static final byte MOTORON

  Turn on the specified motor

  See Also:
    Constant Field Values

### BRAKE

    static final byte BRAKE

  Use run/brake instead of run/float in PWM

  See Also:
    Constant Field Values

### REGULATED

    static final byte REGULATED

  Turns on the regulation

  See Also:
    Constant Field Values

### REGULATION_MODE_IDLE

    static final byte REGULATION_MODE_IDLE

  No regulation will be enabled

  See Also:
    Constant Field Values

### REGULATION_MODE_MOTOR_SPEED

    static final byte REGULATION_MODE_MOTOR_SPEED

  Power control will be enabled on specified output

  See Also:
    Constant Field Values

### REGULATION_MODE_MOTOR_SYNC

    static final byte REGULATION_MODE_MOTOR_SYNC

  Synchronization will be enabled (Needs enabled on two output)

  See Also:
    Constant Field Values

### MOTOR_RUN_STATE_IDLE

    static final byte MOTOR_RUN_STATE_IDLE

  Output will be idle

  See Also:
    Constant Field Values

### MOTOR_RUN_STATE_RAMPUP

    static final byte MOTOR_RUN_STATE_RAMPUP

  Output will ramp-up

  See Also:
    Constant Field Values

### MOTOR_RUN_STATE_RUNNING

    static final byte MOTOR_RUN_STATE_RUNNING

  Output will be running

  See Also:
    Constant Field Values

### MOTOR_RUN_STATE_RAMPDOWN

    static final byte MOTOR_RUN_STATE_RAMPDOWN

  Output will ramp-down

  See Also:
    Constant Field Values

### NO_SENSOR

    static final byte NO_SENSOR

See Also:
  Constant Field Values

### SWITCH

    static final byte SWITCH

See Also:
  Constant Field Values

### TEMPERATURE

    static final byte TEMPERATURE

See Also:
  Constant Field Values

### REFLECTION

    static final byte REFLECTION

See Also:
  Constant Field Values

### ANGLE

    static final byte ANGLE

See Also:
  Constant Field Values

### LIGHT_ACTIVE

    static final byte LIGHT_ACTIVE

See Also:
  Constant Field Values

### LIGHT_INACTIVE

    static final byte LIGHT_INACTIVE

See Also:
  Constant Field Values

### SOUND_DB

    static final byte SOUND_DB

See Also:
  Constant Field Values

### SOUND_DBA

    static final byte SOUND_DBA

See Also:
  Constant Field Values

### CUSTOM

    static final byte CUSTOM

See Also:
  Constant Field Values

### LOWSPEED

    static final byte LOWSPEED

See Also:
  Constant Field Values

### LOWSPEED_9V

    static final byte LOWSPEED_9V

See Also:
  Constant Field Values

### NO_OF_SENSOR_TYPES

    static final byte NO_OF_SENSOR_TYPES

See Also:
  Constant Field Values

### RAWMODE

    static final byte RAWMODE

See Also:
  Constant Field Values

### BOOLEANMODE

    static final byte BOOLEANMODE

See Also:
  Constant Field Values

### TRANSITIONCNTMODE

    static final byte TRANSITIONCNTMODE

See Also:
  Constant Field Values

### PERIODCOUNTERMODE

    static final byte PERIODCOUNTERMODE

See Also:
  Constant Field Values

### PCTFULLSCALEMODE

    static final byte PCTFULLSCALEMODE

See Also:
  Constant Field Values

### CELSIUSMODE

    static final byte CELSIUSMODE

See Also:
  Constant Field Values

### FAHRENHEITMODE

    static final byte FAHRENHEITMODE

See Also:
  Constant Field Values

### ANGLESTEPSMODE

    static final byte ANGLESTEPSMODE

See Also:
  Constant Field Values

### SLOPEMASK

    static final byte SLOPEMASK

See Also:
  Constant Field Values

### MODEMASK

    static final byte MODEMASK

See Also:
  Constant Field Values

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD